org.apache.ignite.ml

## Interface IgniteModel<T,V>

- All Superinterfaces:
    AutoCloseable, Model<T,V>, Serializable
  All Known Subinterfaces:
    BayesModel<MODEL,FEATURES,OUTPUT>, ClusterizationModel<P,V>, DecisionTreeNode, SmoothParametrized<M>
  All Known Implementing Classes:
    AdaptableDatasetModel, ANNClassificationModel, BaggedModel, CompoundNaiveBayesModel, DecisionTreeConditionalNode, DecisionTreeLeafNode, DiscreteNaiveBayesModel, GaussianNaiveBayesModel, GDBTrainer.GDBModel, GmmModel, KMeansModel, KNNClassificationModel, KNNModel, KNNRegressionModel, LinearRegressionModel, LogisticRegressionModel, ModelOnFeaturesSubspace, ModelsComposition, ModelsParallelComposition, ModelsSequentialComposition, MultiClassModel, MultilayerPerceptron, NNClassificationModel, PipelineMdl, RecommendationModel, StackedModel, SVMLinearClassificationModel, TreeNode, TreeRoot, XGModelComposition
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IgniteModel<T,V>
      extends Model<T,V>, Serializable

  Basic interface for all models.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <V1> IgniteModel<V1,V>` | `andBefore(IgniteFunction<V1,T> before)` Get a composition model of the form `x -> mdl(before(x))`.
    `default <V1> IgniteModel<T,V1>` | `andThen(IgniteFunction<V,V1> after)` Get a composition model of the form `x -> after(mdl(x))`.
    `default <V1> IgniteModel<T,V1>` | `andThen(IgniteModel<V,V1> after)` Get a composition model of the form `x -> after(mdl(x))`.
    `default void` | `close()`
    `default <X,W> IgniteModel<T,X>` | `combine(IgniteModel<T,W> other, BiFunction<V,W,X> combiner)` Combines this model with other model via specified combiner
    `default String` | `toString(boolean pretty)`

    - ### Methods inherited from interface org.apache.ignite.ml.inference.Model

      `predict`

- - ### Method Detail

    - #### combine

          default <X,W> IgniteModel<T,X> combine(IgniteModel<T,W> other,
                                                 BiFunction<V,W,X> combiner)

      Combines this model with other model via specified combiner
      Parameters:
        `other` - Other model.
        `combiner` - Combiner.
      Returns:
        Combination of models.

    - #### andThen

          default <V1> IgniteModel<T,V1> andThen(IgniteModel<V,V1> after)

      Get a composition model of the form `x -> after(mdl(x))`.
      Type Parameters:
        `V1` - Type of output of function applied after this model.
      Parameters:
        `after` - Model to apply after this model.
      Returns:
        Composition model of the form `x -> after(mdl(x))`.

    - #### andThen

          default <V1> IgniteModel<T,V1> andThen(IgniteFunction<V,V1> after)

      Get a composition model of the form `x -> after(mdl(x))`.
      Type Parameters:
        `V1` - Type of input of function applied before this model.
      Parameters:
        `after` - Function to apply after this model.
      Returns:
        Composition model of the form `x -> after(mdl(x))`.

    - #### andBefore

          default <V1> IgniteModel<V1,V> andBefore(IgniteFunction<V1,T> before)

      Get a composition model of the form `x -> mdl(before(x))`.
      Type Parameters:
        `V1` - Type of input of function applied before this model.
      Parameters:
        `before` - Function to apply before this model.
      Returns:
        Composition model of the form `x -> after(mdl(x))`.

    - #### toString

          default String toString(boolean pretty)

      Parameters:
        `pretty` - Use pretty mode.

    - #### close

          default void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Model<T,V>`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020